package com.mx.dla.dda.contrato.transaccion.titulos.dtos;

import java.util.Date;

import com.mx.dla.global.dtos.BaseDTO;

public class TituloTransDB  extends BaseDTO{

	private static final long serialVersionUID = 1L;

	private Long idTituloCnt;
	private Long idContrato;
	private Long idLista;
	private Long idFilial;	
	private Long idCategoria;
	private Long idCategoriaSerie;
	private Long idTier;
	private Long idGeneroA;
	private Long idGeneroB;
	private Long idTituloCntoOrig;
	private String idBv;
	private String idSap;	
	private String nombreUnico;
	private String nombreEstandar;
	private String temporada;
	private String episodio;
	private String boxOffice;
	private String categoriaDTR;
	private String categoriaDTO;
	private String duracion;
	private String anio;
	private String generoBS;
	private String generoAS;
	private String filialS;
	private String categoriaS;
	private String tierS;
	private String catSerieS;
	private Date   hvrd;
	private Date   fechaInicio;
	private Date   fechaFin;
	private Date   fechaNotiSap;
	private Integer briefcase;
	private Integer dtr;
	private Integer dto;
	private Integer fsd;
	private Integer fhd;
	private Integer f3d;	
	private Integer agrupable;
	private String nombreTotalSer;
	private String typeTitulo;
	private String nombreEnEspaniol;	
	private String nombreEnIngles;
	private String nombreEnPortugues;	
	
	public Long getIdTituloCnt() {
		return idTituloCnt;
	}
	public void setIdTituloCnt(Long idTituloCnt) {
		this.idTituloCnt = idTituloCnt;
	}
	public Long getIdContrato() {
		return idContrato;
	}
	public void setIdContrato(Long idContrato) {
		this.idContrato = idContrato;
	}
	public Long getIdLista() {
		return idLista;
	}
	public void setIdLista(Long idLista) {
		this.idLista = idLista;
	}
	public Long getIdFilial() {
		return idFilial;
	}
	public void setIdFilial(Long idFilial) {
		this.idFilial = idFilial;
	}
	public String getIdBv() {
		return idBv;
	}
	public void setIdBv(String idBv) {
		this.idBv = idBv;
	}
	public Long getIdCategoria() {
		return idCategoria;
	}
	public void setIdCategoria(Long idCategoria) {
		this.idCategoria = idCategoria;
	}
	public Long getIdCategoriaSerie() {
		return idCategoriaSerie;
	}
	public void setIdCategoriaSerie(Long idCategoriaSerie) {
		this.idCategoriaSerie = idCategoriaSerie;
	}
	public Long getIdTier() {
		return idTier;
	}
	public void setIdTier(Long idTier) {
		this.idTier = idTier;
	}
	public Long getIdGeneroA() {
		return idGeneroA;
	}
	public void setIdGeneroA(Long idGeneroA) {
		this.idGeneroA = idGeneroA;
	}
	public Long getIdGeneroB() {
		return idGeneroB;
	}
	public void setIdGeneroB(Long idGeneroB) {
		this.idGeneroB = idGeneroB;
	}
	public Long getIdTituloCntoOrig() {
		return idTituloCntoOrig;
	}
	public void setIdTituloCntoOrig(Long idTituloCntoOrig) {
		this.idTituloCntoOrig = idTituloCntoOrig;
	}
	public String getIdSap() {
		return idSap;
	}
	public void setIdSap(String idSap) {
		this.idSap = idSap;
	}
	public String getNombreUnico() {
		return nombreUnico;
	}
	public void setNombreUnico(String nombreUnico) {
		this.nombreUnico = nombreUnico;
	}
	public String getNombreEstandar() {
		return nombreEstandar;
	}
	public void setNombreEstandar(String nombreEstandar) {
		this.nombreEstandar = nombreEstandar;
	}
	public String getTemporada() {
		return temporada;
	}
	public void setTemporada(String temporada) {
		this.temporada = temporada;
	}
	public String getEpisodio() {
		return episodio;
	}
	public void setEpisodio(String episodio) {
		this.episodio = episodio;
	}
	public String getBoxOffice() {
		return boxOffice;
	}
	public void setBoxOffice(String boxOffice) {
		this.boxOffice = boxOffice;
	}
	public String getCategoriaDTR() {
		return categoriaDTR;
	}
	public void setCategoriaDTR(String categoriaDTR) {
		this.categoriaDTR = categoriaDTR;
	}
	public String getCategoriaDTO() {
		return categoriaDTO;
	}
	public void setCategoriaDTO(String categoriaDTO) {
		this.categoriaDTO = categoriaDTO;
	}
	public String getDuracion() {
		return duracion;
	}
	public void setDuracion(String duracion) {
		this.duracion = duracion;
	}
	public String getAnio() {
		return anio;
	}
	public void setAnio(String anio) {
		this.anio = anio;
	}
	public Date getHvrd() {
		return hvrd;
	}
	public void setHvrd(Date hvrd) {
		this.hvrd = hvrd;
	}
	public Date getFechaInicio() {
		return fechaInicio;
	}
	public void setFechaInicio(Date fechaInicio) {
		this.fechaInicio = fechaInicio;
	}
	public Date getFechaFin() {
		return fechaFin;
	}
	public void setFechaFin(Date fechaFin) {
		this.fechaFin = fechaFin;
	}
	public Date getFechaNotiSap() {
		return fechaNotiSap;
	}
	public void setFechaNotiSap(Date fechaNotiSap) {
		this.fechaNotiSap = fechaNotiSap;
	}
	public Integer getBriefcase() {
		return briefcase;
	}
	public void setBriefcase(Integer briefcase) {
		this.briefcase = briefcase;
	}
	public Integer getDtr() {
		return dtr;
	}
	public void setDtr(Integer dtr) {
		this.dtr = dtr;
	}
	public Integer getDto() {
		return dto;
	}
	public void setDto(Integer dto) {
		this.dto = dto;
	}
	public Integer getFsd() {
		return fsd;
	}
	public void setFsd(Integer fsd) {
		this.fsd = fsd;
	}
	public Integer getFhd() {
		return fhd;
	}
	public void setFhd(Integer fhd) {
		this.fhd = fhd;
	}
	public Integer getF3d() {
		return f3d;
	}
	public void setF3d(Integer f3d) {
		this.f3d = f3d;
	}
	public String getGeneroBS() {
		return generoBS;
	}
	public void setGeneroBS(String generoBS) {
		this.generoBS = generoBS;
	}
	public String getGeneroAS() {
		return generoAS;
	}
	public void setGeneroAS(String generoAS) {
		this.generoAS = generoAS;
	}
	public String getFilialS() {
		return filialS;
	}
	public void setFilialS(String filialS) {
		this.filialS = filialS;
	}
	public String getCategoriaS() {
		return categoriaS;
	}
	public void setCategoriaS(String categoriaS) {
		this.categoriaS = categoriaS;
	}
	public String getTierS() {
		return tierS;
	}
	public void setTierS(String tierS) {
		this.tierS = tierS;
	}
	public String getCatSerieS() {
		return catSerieS;
	}
	public void setCatSerieS(String catSerieS) {
		this.catSerieS = catSerieS;
	}
	public Integer getAgrupable() {
		return agrupable;
	}
	public void setAgrupable(Integer agrupable) {
		this.agrupable = agrupable;
	}
	public String getNombreTotalSer() {
		return nombreTotalSer;
	}
	public void setNombreTotalSer(String nombreTotalSer) {
		this.nombreTotalSer = nombreTotalSer;
	}
	public String getTypeTitulo() {
		return typeTitulo;
	}
	public void setTypeTitulo(String typeTitulo) {
		this.typeTitulo = typeTitulo;
	}
	public String getNombreEnEspaniol() {
		return nombreEnEspaniol;
	}
	public void setNombreEnEspaniol(String nombreEnEspaniol) {
		this.nombreEnEspaniol = nombreEnEspaniol;
	}
	public String getNombreEnIngles() {
		return nombreEnIngles;
	}
	public void setNombreEnIngles(String nombreEnIngles) {
		this.nombreEnIngles = nombreEnIngles;
	}
	public String getNombreEnPortugues() {
		return nombreEnPortugues;
	}
	public void setNombreEnPortugues(String nombreEnPortugues) {
		this.nombreEnPortugues = nombreEnPortugues;
	}	
	
	
}